Bug 47786 - Support for .abw files in LibreOffice
Summary: Support for .abw files in LibreOffice
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: lowest enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.3.0 target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-23 16:31 UTC by Christopher
Modified: 2014-01-19 14:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ABW file (75.24 KB, application/abiword)
2013-12-21 08:42 UTC, Geoffrey
Details
Abiword document in AbiWord (177.54 KB, image/png)
2014-01-19 14:09 UTC, Geoffrey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher 2012-03-23 16:31:15 UTC
LibreOffice doesn't open .abw files. Please improve LibreOffice so at least could read Abiword (.abw) documents.
Comment 1 Geoffrey 2013-12-21 08:41:14 UTC
Currently, LibreOffice does not support ABW files which are the native file format of AbiWord. To improve interoperability, support for ABW files (XML-based file format) could be added to LO. Please view the attachment (ABW file) in Notepad++ to see the syntax.
Comment 2 Geoffrey 2013-12-21 08:42:02 UTC
Created attachment 91077 [details]
ABW file
Comment 5 retired 2014-01-19 08:46:10 UTC
Tested and test file opens. It's empty though, but maybe it is an empty file?
Comment 6 Geoffrey 2014-01-19 14:09:02 UTC
(In reply to comment #5)
> Tested and test file opens. It's empty though, but maybe it is an empty file?

It's not. See the attached screenshot.
Comment 7 Geoffrey 2014-01-19 14:09:28 UTC
Created attachment 92392 [details]
Abiword document in AbiWord
Comment 8 Maxim Monastirsky 2014-01-19 14:34:23 UTC
Opens fine here with the latest master (although the chart is smaller than in AbiWord). For those who check with 4.2, keep in mind that it's not included in the released version. You should try the latest daily builds, or wait for the next RC.